Bug 287441 - All the entries in the pie chart are displaying with the same color.
Summary: All the entries in the pie chart are displaying with the same color.
Status: VERIFIED FIXED
Alias: None
Product: calligrasheets
Classification: Applications
Component: filter/xls (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-24 09:21 UTC by swathi
Modified: 2011-12-20 15:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data (20.50 KB, application/vnd.ms-excel)
2011-11-24 09:21 UTC, swathi
Details
Screenshot in MS Office (145.49 KB, image/png)
2011-11-24 09:21 UTC, swathi
Details
Screenshot in Calligra Tables (164.50 KB, image/png)
2011-11-24 09:22 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-11-24 09:21:10 UTC
Created attachment 66021 [details]
Test data

Version: git checkout b4dd97fa3be997349eddbf431cc90319b6de3c25
      (Using KDE 4.6.3)                
     OS: Kubuntu 11.04
Test data is in Excel 2003 format.
Open the same document in Calligra Tables. 
Check the display of the colors in the pie chart.

Expected outcome:
Entries in the pie chart should be differed by colors.

Actual outcome:
All the entries are displaying with the same color.
Please check the screenshots attached.
Frequency:
Always
Comment 1 swathi 2011-11-24 09:21:33 UTC
Created attachment 66022 [details]
Screenshot in MS Office
Comment 2 swathi 2011-11-24 09:22:29 UTC
Created attachment 66023 [details]
Screenshot in Calligra Tables
Comment 3 Sebastian Sauer 2011-12-08 10:04:39 UTC
Fixed with commit f42d4150a94a4c2.
Comment 4 swathi 2011-12-20 15:29:19 UTC
Verified in b2b29030922345d8e727ed03e80fb77537aece46 .